Subject: bug#44764: 28.0.50; Wrong menu binding for file in tree fileset

From: Mauro Aranda <[email-masked]>
Date: Tue, 24 Nov 2020 08:51:24 -0300

tags 44764 fixed
close 44764
quit

Lars Ingebrigtsen <[email-masked]> writes:

> Mauro Aranda <[email-masked]> writes:

>> -      (apply 'vector (list name (cdr (append submenu nil)))))))
>> -;      (vconcat `[,name] (subseq submenu 1)))))
>> +      (apply 'vector (list name (cadr (append submenu nil)))))))
>
> I'm not very familiar with the filesets code, but I think this makes
> sense.  I wonder slightly about that commented-out code, but it's been
> there since the file was added to Emacs, so I guess we won't find out
> what that's about.

I think it's an attempt to do the same operation, but using subseq, or
cl-subseq nowadays.  It's not a big deal, so I kept that commented
out code, in case someone wants to take a look at that someday.